@import '../variables/color.scss';

.o-dpck__table__cell {
}

.o-ctrl-sel {
    select {
        -webkit-appearance: none !important; /* removes expand icon in older Chrome versions  */
        -moz-appearance: none !important; /* removes expand icon in older Firefox versions */
        appearance: none !important; /* removes expand icon                           */
    }

    select::-ms-expand {
        /* removes expand icon in IE10                   */
        display: none !important;
    }

    select {
        font-size: 16px !important;
        font-weight: 700 !important;
        // padding-right: 0 !important;
        ::after {
            display: none !important;
        }
        ::before {
            display: none !important;
        }
    }
}
button.o-dpck__header__previous {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    &::after {
        content: '\2039';
        font-weight: bold;
    }
}
button.o-dpck__header__next {
    background-color: $white !important;
    border: none !important;
    color: $grey900 !important;
    &::after {
        content: '\203A';
        font-weight: bold;
    }
}
// border-spacing: 10px;
.o-dpck__table__cell {
    // display: inline-flexbox !important;
    width: 32px !important;
    height: 32px !important;
    line-height: 20px !important;
    font-size: 14px;

    &--within-hovered {
        background-color: $purple100 !important;
    }

    &--selected {
        background-color: $purple600 !important;
        margin: 12px !important;
    }
    &--within-selected,
    &--within-hovered {
        background-color: $purple100 !important;
        color: $grey900 !important;
        margin: 12px !important;
    }

    &--first-hovered,
    &--first-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
    }
    &--last-hovered,
    &--last-selected {
        background-color: $purple600 !important;
        border-radius: 50%;
        color: $white !important;
    }
}
